import 'package:flutter/foundation.dart';

class NetworkStatusService {
  final notificationsUpdateStatus = ValueNotifier<bool>(false);
  final timelineLoadingStatus = ValueNotifier<bool>(false);
  final imageGalleryLoadingStatus = ValueNotifier<bool>(false);

  void startNotificationUpdate() {
    notificationsUpdateStatus.value = true;
  }

  void finishNotificationUpdate() {
    notificationsUpdateStatus.value = false;
  }

  void startTimelineLoading() {
    timelineLoadingStatus.value = true;
  }

  void finishTimelineLoading() {
    timelineLoadingStatus.value = false;
  }

  void startGalleryLoading() {
    imageGalleryLoadingStatus.value = true;
  }

  void finishGalleryLoading() {
    imageGalleryLoadingStatus.value = false;
  }
}
